Summary:	Old version of libpng, needed to run old binaries
Name:		libpng10
Version:	1.0.30
Release:	1%{?dist}
License:	zlib
Group:		System Environment/Libraries
URL:		http://www.libpng.org/pub/png/libpng.html
Source:		ftp://ftp.simplesystems.org/pub/libpng/png/src/libpng-%{version}.tar.bz2
Patch0:		libpng-1.0.26-soname.patch
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	zlib-devel
Conflicts:	libpng < 2:1.2.0

%description
The libpng10 package contains an old version of libpng, a library of functions
for creating and manipulating PNG (Portable Network Graphics) image format
files.

This package is needed if you want to run binaries that were linked dynamically
with libpng 1.0.x.

%package devel
Group:		Development/Libraries
Summary:	Development tools for version 1.0 of libpng
Requires:	libpng10 = %{version}-%{release}, zlib-devel, pkgconfig

%description devel
The libpng10-devel package contains the header files necessary for developing
programs using version 1.0 of the PNG (Portable Network Graphics) library.

If you want to develop programs that will manipulate PNG image format files,
while still running on previous old Linux releases, you should install
libpng10-devel.

%prep
%setup -q -n libpng-%{version}
%patch0 -p1 -b .soname

%build
%configure \
	--disable-static \
	--disable-dependency-tracking \
	--without-binconfigs
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} DESTDIR=%{buildroot} install

# Install docs
# This is done manually so that the docs, which are all in the same directory,
# can be split between the main and devel package. If the %doc macro is used
# in the files list with a non-absolute path, it clears out the docs directory
# first, which means the splitting of docs into two packages won't work.
# The alternative would be to have the devel docs in a different directory,
# but I don't want to do that.
%{__mkdir_p} %{buildroot}%{_docdir}/%{name}-%{version}
# Docs for main package
%{__install} -p -m 644 ANNOUNCE README TODO CHANGES LICENSE Y2KINFO \
	%{buildroot}%{_docdir}/%{name}-%{version}/
# Docs for devel package
%{__install} -p -m 644 example.c libpng-%{version}.txt \
	%{buildroot}%{_docdir}/%{name}-%{version}/

# Unpackaged files
%{__rm} -f \
	%{buildroot}%{_bindir}/libpng-config \
	%{buildroot}%{_includedir}/png.h \
	%{buildroot}%{_includedir}/pngconf.h \
	%{buildroot}%{_libdir}/libpng.a \
	%{buildroot}%{_libdir}/libpng.la \
	%{buildroot}%{_libdir}/libpng.so \
	%{buildroot}%{_libdir}/libpng10.la \
	%{buildroot}%{_libdir}/libpng10.so.* \
	%{buildroot}%{_libdir}/pkgconfig/libpng.pc \
	%{buildroot}%{_mandir}/man3/libpng.3 \
	%{buildroot}%{_mandir}/man3/libpngpf.3 \
	%{buildroot}%{_mandir}/man5/png.5

# Fix devel link
%{__rm} -f %{buildroot}%{_libdir}/libpng10.so
%{__ln_s} libpng.so.2 %{buildroot}%{_libdir}/libpng10.so

%clean
%{__rm} -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%dir %{_docdir}/%{name}-%{version}/
%doc %{_docdir}/%{name}-%{version}/ANNOUNCE
%doc %{_docdir}/%{name}-%{version}/CHANGES
%doc %{_docdir}/%{name}-%{version}/LICENSE
%doc %{_docdir}/%{name}-%{version}/README
%doc %{_docdir}/%{name}-%{version}/TODO
%doc %{_docdir}/%{name}-%{version}/Y2KINFO
%{_libdir}/libpng.so.*

%files devel
%defattr(-,root,root,-)
%doc %{_docdir}/%{name}-%{version}/example.c
%doc %{_docdir}/%{name}-%{version}/libpng-%{version}.txt
%{_includedir}/libpng10/
%{_libdir}/libpng10.so
%{_libdir}/pkgconfig/libpng10.pc

%changelog
* Tue Oct 16 2007 Paul Howarth <paul@city-fan.org> 1.0.30-1
- update to 1.0.30

* Fri Oct  5 2007 Paul Howarth <paul@city-fan.org> 1.0.29-1
- update to 1.0.29 (fixes DoS issue, #327791, CVE-2007-5269)

* Tue Sep 11 2007 Paul Howarth <paul@city-fan.org> 1.0.28-1
- update to 1.0.28

* Mon Aug 20 2007 Paul Howarth <paul@city-fan.org> 1.0.27-1
- update to 1.0.27
- add new file ANNOUNCE, which lists changes since last release
- use shortname "zlib" for the license tag (package is zlib/libpng licensed)
- drop pkgconf patch, which should no longer be needed

* Sun May 20 2007 Paul Howarth <paul@city-fan.org> 1.0.26-1
- update to 1.0.26 to address DoS issue (#240398, CVE-2007-2445)
- update soname patch
- libpng.txt now has a versioned filename

* Sun Mar 25 2007 Paul Howarth <paul@city-fan.org> 1.0.21-2
- Own directory %%{_docdir}/%%{name}-%%{version} (#233869)
- Describe license as "zlib/libpng" rather than just "zlib"

* Sat Nov 18 2006 Paul Howarth <paul@city-fan.org> 1.0.21-1
- update to 1.0.21 to address DoS issue (#216263, CVE-2006-5793)
- update soname patch

* Sun Oct  1 2006 Paul Howarth <paul@city-fan.org> 1.0.20-4
- rebuild with latest toolchain

* Tue Aug  1 2006 Paul Howarth <paul@city-fan.org> 1.0.20-3
- reenable %%{_smp_mflags}
- use patched configure script rather than old Makefiles

* Thu Jul 20 2006 Paul Howarth <paul@city-fan.org> 1.0.20-2
- don't use %%{_smp_mflags}

* Thu Jul  6 2006 Paul Howarth <paul@city-fan.org> 1.0.20-1
- update to 1.0.20
- use Fedora Extras standard buildroot
- update URL
- include release in fully versioned dependency between devel and main pkgs
- wrap description text at 80 columns
- don't build static libraries
- devel package requires pkgconfig
- unpack tarball quietly
- update rhconf patch
- move doc files libpng.txt and example.c to devel package
- add doc Y2KINFO
- changed license tag from "OSI Certified" to "zlib License"
  (see http://www.opensource.org/licenses/zlib-license.php)
- minor cosmetic spec file changes

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 1.0.18-3.2.1
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 1.0.18-3.2
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Sun Jul 31 2005 Florian La Roche <laroche@redhat.com>
- build with newest rpm, rm -f libpng.so

* Wed Mar  2 2005 Matthias Clasen <mclasen@redhat.com> - 1.0.18-2
- Rebuild with gcc4

* Mon Dec 06 2004 Matthias Clasen <mclasen@redhat.com> - 1.0.18-1
- Update to 1.0.18

* Tue Aug 17 2004 Matthias Clasen <mclasen@redhat.com> - 1.0.16-1
- Update to 1.0.16
- Combine rhconf patches 
- Include LICENSE

* Wed Aug 4 2004 Matthias Clasen <mclasen@redhat.com> 1.0.15-9
- Build for FC3

* Fri Jul 23 2004 Matthias Clasen <mclasen@redhat.com> 1.0.15-8
- Build for FC2

* Fri Jul 23 2004 Matthias Clasen <mclasen@redhat.com> 1.0.15-7
- Replace the patches for individual security problems with the
  cumulative patch issued by the png developers.
- Build for FC1
                                                                                
* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Jun 14 2004 Matthias Clasen <mclasen@redhat.com> - 1.0.15-5
- Rebuilt for FC2

* Mon Jun 14 2004 Matthias Clasen <mclasen@redhat.com> - 1.0.15-4
- Rebuilt for FC1

* Mon Jun 14 2004 Matthias Clasen <mclasen@redhat.com> - 1.0.15-3
- Reinstate and improve the transfix patch which got lost sometime ago, 
  but is still needed for CAN-2002-1363 (#125934)

* Wed May 19 2004 Matthias Clasen <mclasen@redhat.com> 1.0.15-2
- Don't provide libpng-devel (#110161)

* Wed May 19 2004 Matthias Clasen <mclasen@redhat.com> 1.0.15-1
- 1.0.15
- Update rhconf2 patch 
- Remove bogus badchunks patch (#89854)

* Mon May 03 2004 Matthias Clasen <mclasen@redhat.com> 1.0.13-13
- Redo the out-of-bounds fix in a slightly better way.

* Wed Apr 21 2004 Matthias Clasen <mclasen@redhat.com> 1.0.13-12
- Bump release number to disambiguate n-v-rs.

* Mon Apr 19 2004 Matthias Clasen <mclasen@redhat.com>
- fix a possible out-of-bounds read in the error message
  handler. #121229

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Jun 9 2003  Elliot Lee <sopwith@redhat.com>
- This package has no epochs! remove usage thereof

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Jun  3 2003 Jeff Johnson <jbj@redhat.com>
- add explicit epoch's where needed.

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Jan 15 2003 Elliot Lee <sopwith@redhat.com> 1.0.13-7
- Bump & rebuild

* Fri Dec 13 2002 Elliot Lee <sopwith@redhat.com> 1.0.13-6
- Rebuild, merging in multilib change

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 21 2002 Elliot Lee <sopwith@redhat.com> 1.0.13-3
- The package totally broke the backwards compatibility that it was intended to provide.
  Fixed by setting soname to libpng.so.2, and only tweaking the build (libpng*.{so,a}) files.
- Use _smp_mflags
- Fix rhconf patch because it was patching a symlink instead of the actual file.
- Don't provide libpng = {version}, because then the package conflicts with itself

* Thu May  9 2002 Jeremy Katz <katzj@redhat.com> 1.0.13-2
- rebuild 

* Thu May  2 2002 Havoc Pennington <hp@redhat.com> 1.0.13-1
- upgrade to 1.0.13, plus patch tarball from libpng web site
- update rhconf patch to work with new makefiles

* Mon Mar  4 2002 Bernhard Rosenkraenzer <bero@redhat.com> 1.0.12-6
- Revert fix for #59988 as it introduces a worse problem, #60410

* Tue Feb 26 2002 Bernhard Rosenkraenzer <bero@redhat.com> 1.0.12-5
- Conflict with libpng < 1.2.0 (#59988)

* Wed Jan 30 2002 Bill Nottingham <notting@redhat.com> 1.0.12-4
- provide libpng = %%{version}, libpng-devel = %%{version}

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Fri Jan  4 2002 Bill Nottingham <notting@redhat.com> 1.0.12-2
- add devel stuff (we may change this around later)

* Wed Sep 19 2001 Bernhard Rosenkraenzer <bero@redhat.com> 1.0.12-1
- initial compat package
